Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deepfs.fsml
Enum MimeType

    java.lang.Object
      java.lang.Enum<MimeType>
          org.deepfs.fsml.MimeType

All Implemented Interfaces:
  Serializable, Comparable<MimeType>

    public enum MimeType

extends Enum<MimeType>

Available MIME types.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Bastian Lemke

Enum Constant Summary
`APPLE_MAIL_TODO` Apple Mail to do.
`BMP` BMP.
`CSS` CSS.
`DIRECTORY` text/directory
`DOC` M$ Word.
`EML` Email.
`FORCE_DOWNLOAD` ?
`GIF` GIF.
`HTML` HTML.
`ICS` ICS.
`JAR` Java archive.
`JAVA` Java source file.
`JAVA2` Java source file (alternate MIME type).
`JPG` JPG.
`KML` KML.
`MP3` MP3.
`O` Object file.
`ODS` ODS.
`PDF` PDF.
`PGP` pgp signature.
`PKCS7` pkcs7-signature.
`PNG` PNG.
`PPS` PPS.
`RTF` Rich text format.
`SH` Shell script.
`TIFF` TIFF.
`TXT` Plaintext.
`UNKNOWN` Unknown media.
`VCARD` Vcard.
`XLS` XLS.
`XML` XML.
`XML2` XML.
`XPKCS7` x-pkcs7-signature.
`ZIP` Zip.

Method Summary
`String` | `getDefaultSuffix()` Returns the default file suffix for the MIME type.
`static MimeType` | `getItem(String name)` Tries to find the MimeType item for the given MIME type string.
`FileType[]` | `getMetaTypes()` Returns the associated meta types.
`String` | `toString()`
`static MimeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### APPLE_MAIL_TODO

    public static final MimeType APPLE_MAIL_TODO

  Apple Mail to do.

### BMP

    public static final MimeType BMP

  BMP.

### CSS

    public static final MimeType CSS

  CSS.

### DIRECTORY

    public static final MimeType DIRECTORY

  text/directory

### DOC

    public static final MimeType DOC

  M$ Word.

### EML

    public static final MimeType EML

  Email.

### FORCE_DOWNLOAD

    public static final MimeType FORCE_DOWNLOAD

  ?

### GIF

    public static final MimeType GIF

  GIF.

### HTML

    public static final MimeType HTML

  HTML.

### ICS

    public static final MimeType ICS

  ICS.

### JAR

    public static final MimeType JAR

  Java archive.

### JAVA

    public static final MimeType JAVA

  Java source file.

### JAVA2

    public static final MimeType JAVA2

  Java source file (alternate MIME type).

### JPG

    public static final MimeType JPG

  JPG.

### KML

    public static final MimeType KML

  KML.

### MP3

    public static final MimeType MP3

  MP3.

### O

    public static final MimeType O

  Object file.

### ODS

    public static final MimeType ODS

  ODS.

### PDF

    public static final MimeType PDF

  PDF.

### PGP

    public static final MimeType PGP

  pgp signature.

### PKCS7

    public static final MimeType PKCS7

  pkcs7-signature.

### PNG

    public static final MimeType PNG

  PNG.

### PPS

    public static final MimeType PPS

  PPS.

### RTF

    public static final MimeType RTF

  Rich text format.

### SH

    public static final MimeType SH

  Shell script.

### TIFF

    public static final MimeType TIFF

  TIFF.

### TXT

    public static final MimeType TXT

  Plaintext.

### UNKNOWN

    public static final MimeType UNKNOWN

  Unknown media.

### VCARD

    public static final MimeType VCARD

  Vcard.

### XLS

    public static final MimeType XLS

  XLS.

### XML

    public static final MimeType XML

  XML.

### XML2

    public static final MimeType XML2

  XML.

### XPKCS7

    public static final MimeType XPKCS7

  x-pkcs7-signature.

### ZIP

    public static final MimeType ZIP

  Zip.

Method Detail

### values

    public static MimeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MimeType c : MimeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MimeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDefaultSuffix

    public String getDefaultSuffix()

  Returns the default file suffix for the MIME type.

  Returns:
    the default file suffix

### getMetaTypes

    public FileType[] getMetaTypes()

  Returns the associated meta types.

  Returns:
    the associated meta types

### getItem

    public static MimeType getItem(String name)

  Tries to find the MimeType item for the given MIME type string.

  Parameters:
    `name` - the MIME type string to find
  Returns:
    the `MimeType` item or `null` if the item was not found

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<MimeType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD